@REM
SETLOCAL
SET ROOT=%1

REM Set the default config to include the user list and licence file
SET INIW=%ROOT%bin\inifile.exe
SET LIC=%3
SET CFGFILE=%2%LIC%.ini

if "%1"=="" goto End
if "%2"=="" goto End

ECHO Saving network paths for licence %LIC% to %CFGFILE%...
"%INIW%" %CFGFILE% BRUKARLISTE Plassering "%ROOT%config\bruknamn%LIC%.lst"
"%INIW%" %CFGFILE% LISENSIERING LISENSFIL "%ROOT%config\lisens%LIC%.dat"
IF EXIST "%ROOT%config\bruknamn%LIC%.lst" goto skipBruknamn
ECHO Initializing user tracking file...
COPY /Y /B "%ROOT%initconfig\empty" "%ROOT%config\bruknamn.lst"
:skipBruknamn

if errorlevel 1 goto Failed
GOTO End

:Failed
ECHO Initialization of license files failed.
EXIT /B 1
Goto End

:End

